Subject: Product return - KSA - Order # 200304001
From: "'Ashutosh Yadav (Mumzworld Tracking)' via customer care" <[email-masked]>
Cc: customer care <[email-masked]>
Date: Mon, 20 Jul 2020 11:07:42 +0000
List-Id: <ccteam.mumzworld.com>

##- Please type your reply above this line -##

You are registered as a CC on this request (1182280). Reply to this email to add a comment to the request.

----------------------------------------------

Ashutosh Yadav, Jul 20, 2020, 3:07 PM GMT+4

Dear Ahmed,

Thank you for replying back

Your patience while resolving this issue was highly appreciated. As per our tracking status it shows that your items has been delivered. We are deeply sorry for the delay in reply we are working hard to reduce the turnaround time with the customer complaints or queries. We have started online chats too.

Please do not hesitate to contact us for further assistance on https://www.mumzworld.com/ar/contact-us/

 Stay safe,
 Best Regards,
 Ashutosh Gopal Yadav The Mumzworld team

----------------------------------------------

Ahmed Alnasser, Jul 10, 2020, 8:21 PM GMT+4

Mumzworld,

 Please give me exact date for delivery, Don't give any excuse. 

Ahmed

----------------------------------------------

Ashutosh Yadav, Jul 10, 2020, 8:10 PM GMT+4

Dear Ahmed,

 Believe this email finds you well!!
 Thank you for contacting our team!
 We sincerely apologize for the delay in response. Due to the current situation of pandemic Corona virus we are facing heavy traffic.

 We are deeply very sorry for the inconvenience. We have escalated this issue and I am personally on your issue to resolve it as soon as possible please allow us some more time although I know it is quite delay but still request you to please allow some more time.

 We appreciate your patience and understanding. Once again we really apologize for the inconvenience and make sure this would not happen again. I believe you will allow us one more chance to prove ourselves.

 If you should have any other inquiries please do not hesitate to contact our team.
 https://www.mumzworld.com/en/contact-us

 Stay safe,
 Best regards,
 Ashutosh Gopal Yadav from The Mumzworld team

----------------------------------------------

Ahmed Alnasser, Jul 10, 2020, 8:04 PM GMT+4

Mumzworld,

Referring to chain emails with you, We have noticed that our order since a months and is not shipped yet hence, please cancel the order and refund the money to my credit card with shipping fees.

Ahmed

--------------------------------
This email is a service from Mumzworld.com.

[YD684V-D9XV]